package com.thebrokenrail.gestus.emote;

public enum EmotePart {
    RIGHT_ARM("right_arm") {
        @Override
        public EmotePart mirror() {
            return LEFT_ARM;
        }
    },
    LEFT_ARM("left_arm") {
        @Override
        public EmotePart mirror() {
            return RIGHT_ARM;
        }
    },
    RIGHT_LEG("right_leg") {
        @Override
        public EmotePart mirror() {
            return LEFT_LEG;
        }
    },
    LEFT_LEG("left_leg") {
        @Override
        public EmotePart mirror() {
            return RIGHT_LEG;
        }
    },
    BODY("body") {
        @Override
        public EmotePart mirror() {
            return BODY;
        }
    };

    private final String name;

    EmotePart(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public abstract EmotePart mirror();
}
